---
# https://download.docker.com/linux/ubuntu/
docker_versioned_pkg:
  'latest': docker-ce
  '18.09': docker-ce=5:18.09.9~3-0~ubuntu-{{ ansible_distribution_release|lower }}
  '19.03': docker-ce=5:19.03.14~3-0~ubuntu-{{ ansible_distribution_release|lower }}
  '20.10': docker-ce=5:20.10.2~3-0~ubuntu-{{ ansible_distribution_release|lower }}
  'stable': docker-ce=5:19.03.14~3-0~ubuntu-{{ ansible_distribution_release|lower }}
  'edge': docker-ce=5:19.03.14~3-0~ubuntu-{{ ansible_distribution_release|lower }}

docker_cli_versioned_pkg:
  'latest': docker-ce-cli
  '18.09': docker-ce-cli=5:18.09.9~3-0~ubuntu-{{ ansible_distribution_release|lower }}
  '19.03': docker-ce-cli=5:19.03.14~3-0~ubuntu-{{ ansible_distribution_release|lower }}
  '20.10': docker-ce-cli=5:20.10.2~3-0~ubuntu-{{ ansible_distribution_release|lower }}

docker_package_info:
  pkgs:
    - "{{ containerd_versioned_pkg[containerd_version | string] }}"
    - "{{ docker_cli_versioned_pkg[docker_cli_version | string] }}"
    - "{{ docker_versioned_pkg[docker_version | string] }}"

docker_repo_key_info:
  url: '{{ docker_ubuntu_repo_gpgkey }}'
  repo_keys:
    - 9DC858229FC7DD38854AE2D88D81803C0EBFCD88

docker_repo_info:
  repos:
    - >
      deb [arch={{ host_architecture }}] {{ docker_ubuntu_repo_base_url }}
      {{ ansible_distribution_release|lower }}
      stable
